#ifndef __arinc4_H
#define __arinc4_H

#ifndef __arinc4__
#define arincLIB __declspec( dllimport ) 
#else
#define arincLIB __declspec( dllexport ) 
#endif


arincLIB void __stdcall kvp(HANDLE , unsigned short int ); 

arincLIB void __stdcall kpp(HANDLE ,unsigned short int , DWORD ); 

arincLIB void __stdcall kmp(HANDLE); 

arincLIB void __stdcall kcb(HANDLE ,unsigned short int );

arincLIB void __stdcall kct(HANDLE );

arincLIB void __stdcall kpt(HANDLE ,unsigned short int );

arincLIB void __stdcall kvm0(HANDLE );

arincLIB void __stdcall kvm1(HANDLE );

arincLIB void __stdcall kvm2(HANDLE );

arincLIB void __stdcall kvm3(HANDLE );

arincLIB void __stdcall kvm4(HANDLE );

arincLIB void __stdcall kvm5(HANDLE );

arincLIB void __stdcall kvm6(HANDLE );

arincLIB void __stdcall kvm7(HANDLE );

arincLIB void __stdcall kom(HANDLE ,unsigned short int , unsigned short int );

arincLIB void __stdcall komp(HANDLE ,unsigned short int , unsigned short int );

arincLIB void __stdcall kpm0(HANDLE );

arincLIB void __stdcall kpm1(HANDLE );

arincLIB void __stdcall kpm2(HANDLE );

arincLIB void __stdcall kpm3(HANDLE );

arincLIB void __stdcall kpm4(HANDLE );

arincLIB void __stdcall kpm5(HANDLE );

arincLIB void __stdcall kpm6(HANDLE );

arincLIB void __stdcall kpm7(HANDLE );

arincLIB void __stdcall kp_pfa_bkp(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kp_pfa_bkp2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kp_pfr_bkp(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kp_pfr_bkp2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kp_pfc_bkp(HANDLE ,unsigned short int ,
								   unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kp_pfc_bkp2(HANDLE ,unsigned short int ,
								   unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kp_pa_bkp1(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kp_pa_bkp2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kp_pg(HANDLE ,unsigned short int  );


arincLIB void __stdcall kv_vr_bkv(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kv_vr_bkv2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kv_vc_bkv(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kv_vc_bkv2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kv_vo_bkv(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kv_vo_bkv2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall kv_vg(HANDLE ,unsigned short int ,unsigned short int );


arincLIB void __stdcall pfa_bkp(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall pfa_bkp2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall pfr_bkp(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall pfr_bkp2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall pfc_bkp(HANDLE ,unsigned short int ,
								   unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall pfc_bkp2(HANDLE ,unsigned short int ,
								   unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall pa_bkp1(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall pa_bkp2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall pg(HANDLE ,unsigned short int  );


arincLIB void __stdcall vr_bkv(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall vr_bkv2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall vc_bkv(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall vc_bkv2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall vo_bkv(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall vo_bkv2(HANDLE ,unsigned short int ,
								   unsigned short int ,unsigned short int );

arincLIB void __stdcall vg(HANDLE ,unsigned short int ,unsigned short int );

arincLIB void __stdcall tab_vg_word(unsigned short int *,unsigned short int ,
									unsigned short int ,unsigned short int ,unsigned short int );

arincLIB void __stdcall tab_vg_pause(unsigned short int *,unsigned short int ,
									unsigned short int );

arincLIB void __stdcall tab_pg_word(unsigned short int *,unsigned short int ,
									unsigned short int ,unsigned short int );

arincLIB void __stdcall tab_pg_pause(unsigned short int *,unsigned short int );

#endif